package com.thebrokenrail.gulliverreloaded;

import net.minecraft.entity.effect.StatusEffect;
import net.minecraft.entity.effect.StatusEffectType;
import net.minecraft.potion.Potion;

public class CustomPotion {
    public static class CustomStatusEffect extends StatusEffect {
        public CustomStatusEffect(StatusEffectType type, int color) {
            super(type, color);
        }
    }

    private StatusEffect statusEffect;
    private Potion potion;
    private Potion longPotion;
    private Potion strongPotion;

    public CustomPotion(StatusEffect statusEffect, Potion potion, Potion longPotion, Potion strongPotion) {
        this.statusEffect = statusEffect;
        this.potion = potion;
        this.longPotion = longPotion;
        this.strongPotion = strongPotion;
    }

    public StatusEffect getStatusEffect() {
        return statusEffect;
    }

    public Potion getPotion() {
        return potion;
    }

    public Potion getLongPotion() {
        return longPotion;
    }

    public Potion getStrongPotion() {
        return strongPotion;
    }
}
